Bug 829696 - gnome activity journal cannot be run with PATH pointing to /bin before /usr/bin
gnome activity journal cannot be run with PATH pointing to /bin before /usr/bin
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-activity-journal (Show other bugs)
19
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Mads Villadsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 07:03 EDT by wrobell
Modified: 2015-02-17 09:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:16:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wrobell 2012-06-07 07:03:59 EDT
Install gnome-activity-journal in FC 17.

Run:

$ gnome-activity-journal 
Traceback (most recent call last):
  File "/bin/gnome-activity-journal", line 72, in <module>
    from src import config
ImportError: No module named src


$ rpm -qi gnome-activity-journal
Name        : gnome-activity-journal
Version     : 0.8.0
Release     : 2.fc17
Architecture: noarch
Install Date: Tue 29 May 2012 04:54:08 PM IST
Group       : Applications/File
Comment 1 Mads Villadsen 2012-06-07 08:13:49 EDT
It looks strange that the error comes from /bin/gnome-activity-journal since that file isn't installed by gnome-activity-journal.

It should be /usr/bin/gnome-activity-journal

How did you install this?

What is the output of

rpm -ql gnome-activity-journal

and 

rpm -V gnome-activity-journal
Comment 2 wrobell 2012-06-07 09:40:14 EDT
1. the archive is OK

    $ rpm -V gnome-activity-journal
    $ echo $?
    0

2. my PATH is defined as follows

    $ echo $PATH
    /usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin

it is /bin/gnome-activity-journal due to /bin -> /usr/bin link in FC17

    $ rpm -qf /bin/gnome-activity-journal  /usr/bin/gnome-activity-journal 
    gnome-activity-journal-0.8.0-2.fc17.noarch
    gnome-activity-journal-0.8.0-2.fc17.noarch


4. it is installed with yum (see rpm -qi output in my report).

5. running /usr/bin/gnome-activity-journal seems to work OK.
Comment 3 Ismael Olea 2012-07-10 06:25:14 EDT
BTW (same configuration):

$ rpm -qf /bin/gnome-activity-journal /usr/bin/gnome-activity-journal 
gnome-activity-journal-0.8.0-2.fc17.noarch
gnome-activity-journal-0.8.0-2.fc17.noarch

$ /usr/bin/gnome-activity-journal
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Traceback (most recent call last):
  File "/usr/bin/gnome-activity-journal", line 97, in <module>
    from src.main import PortalWindow
  File "/usr/share/gnome-activity-journal/src/main.py", line 31, in <module>
    from activity_widgets import MultiViewContainer, TimelineViewContainer, ThumbViewContainer
  File "/usr/share/gnome-activity-journal/src/activity_widgets.py", line 41, in <module>
    from store import ContentStruct, CLIENT
  File "/usr/share/gnome-activity-journal/src/store.py", line 588, in <module>
    STORE = Store()
  File "/usr/share/gnome-activity-journal/src/store.py", line 411, in __init__
    days_population = CLIENT_EXTENSION.GetHistogramData()
  File "/usr/lib/python2.7/site-packages/zeitgeist/client.py", line 133, in _ProxyMethod
    lambda: getattr(self.__iface, name), *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/zeitgeist/client.py", line 122, in _disconnection_safe
    return reconnecting_error_handler(e)
  File "/usr/lib/python2.7/site-packages/zeitgeist/client.py", line 120, in _disconnection_safe
    return method_getter()(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.zeitgeist.Log' on object at path /org/gnome/zeitgeist/journal/activity
Comment 4 Ismael Olea 2012-07-10 06:32:35 EDT
forgot to say I've installed it through yum so any deps should be installed too.
Comment 5 Pierre-Yves Luyten 2012-07-25 02:40:05 EDT
Ismael, please see https://bugzilla.redhat.com/show_bug.cgi?id=821121 , your issue might be rather this one and another package already fix it.
Comment 6 Ismael Olea 2012-07-25 07:24:52 EDT
Pierre: thanks for the link

Here is my update:


$ sudo rpm -e gnome-activity-journal
$ sudo rpm -Uvh http://kojipkgs.fedoraproject.org//packages/gnome-activity-journal/0.8.0/4.fc17/noarch/gnome-activity-journal-0.8.0-4.fc17.noarch.rpm

$ rpm -qf /bin/gnome-activity-journal /usr/bin/gnome-activity-journal 
gnome-activity-journal-0.8.0-4.fc17.noarch
gnome-activity-journal-0.8.0-4.fc17.noarch

$ which gnome-activity-journal 
/bin/gnome-activity-journal
$  gnome-activity-journal 
Traceback (most recent call last):
  File "/bin/gnome-activity-journal", line 72, in <module>
    from src import config
ImportError: No module named src


but it starts with no apparent trouble when launched as

$ /usr/bin/gnome-activity-journal 
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
/usr/share/gnome-activity-journal/src/main.py:206: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.show()
/usr/share/gnome-activity-journal/src/main.py:323: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.spinner_notebook.set_current_page(1)
[...]
Comment 7 Ismael Olea 2013-04-18 16:56:10 EDT
Still happens in F18
Comment 8 Fedora End Of Life 2013-12-21 03:38:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Ismael Olea 2013-12-30 12:43:16 EST
Still happens in F19
Comment 10 Fedora End Of Life 2015-01-09 12:10:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 09:16:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.